Delete subtaskDELETE

Description

Deletes a subtask by index or name. Index is 0-based. Name is case-sensitive.

Permissions

The API token needs the Edit tasks permission.

Request format (index)

curl -X DELETE https://kanbanflow.com/api/v1/tasks/<TASK_ID>/subtasks/by-index/<INDEX>

Request format (name)

curl -X DELETE https://kanbanflow.com/api/v1/tasks/<TASK_ID>/subtasks/by-name/<NAME>

Example request (index)

curl -X DELETE https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/subtasks/by-index/2

Example request (name)

curl -X DELETE https://kanbanflow.com/api/v1/tasks/T3s6UGyzY/subtasks/by-name/Proofread